Show / Hide Table of Contents

# Struct ImDrawListSplitterPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImDrawListSplitterPtr

### Constructors

| Improve this Doc View Source

#### ImDrawListSplitterPtr(ImDrawListSplitter*)

##### Declaration

    public ImDrawListSplitterPtr(ImDrawListSplitter*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawListSplitter* | nativePtr |

| Improve this Doc View Source

#### ImDrawListSplitterPtr(IntPtr)

##### Declaration

    public ImDrawListSplitterPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### _Channels

##### Declaration

    public ImPtrVector<ImDrawChannelPtr> _Channels { get; }

##### Property Value

Type | Description
--- | ---
ImPtrVector<ImDrawChannelPtr> |

| Improve this Doc View Source

#### _Count

##### Declaration

    public int _Count { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### _Current

##### Declaration

    public int _Current { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImDrawListSplitter*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImDrawListSplitter* |

### Methods

| Improve this Doc View Source

#### Clear()

##### Declaration

    public void Clear()

| Improve this Doc View Source

#### ClearFreeMemory()

##### Declaration

    public void ClearFreeMemory()

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### Merge(ImDrawListPtr)

##### Declaration

    public void Merge(ImDrawListPtr draw_list)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawListPtr | draw_list |

| Improve this Doc View Source

#### SetCurrentChannel(ImDrawListPtr, Int32)

##### Declaration

    public void SetCurrentChannel(ImDrawListPtr draw_list, int channel_idx)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawListPtr | draw_list |
System.Int32 | channel_idx |

| Improve this Doc View Source

#### Split(ImDrawListPtr, Int32)

##### Declaration

    public void Split(ImDrawListPtr draw_list, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawListPtr | draw_list |
System.Int32 | count |

### Operators

| Improve this Doc View Source

#### Implicit(ImDrawListSplitter* to ImDrawListSplitterPtr)

##### Declaration

    public static implicit operator ImDrawListSplitterPtr(ImDrawListSplitter*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawListSplitter* | nativePtr |

##### Returns

Type | Description
--- | ---
ImDrawListSplitterPtr |

| Improve this Doc View Source

#### Implicit(ImDrawListSplitterPtr to ImDrawListSplitter*)

##### Declaration

    public static implicit operator ImDrawListSplitter*(ImDrawListSplitterPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawListSplitterPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImDrawListSplitter* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImDrawListSplitterPtr)

##### Declaration

    public static implicit operator ImDrawListSplitterPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImDrawListSplitterPtr |